﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;
using Infragistics.Silverlight.Controls.Primitives;
using Infragistics.Silverlight.Controls;

namespace SilverlightApplication4
{
    public class ExpansionIndicatorConverter:IValueConverter
    {
        #region IValueConverter Members

        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            ExpansionIndicatorCellControl expansionCell = value as ExpansionIndicatorCellControl;
            SilverlightApplication4.MainPage.Person p = expansionCell.Cell.Row.Data as SilverlightApplication4.MainPage.Person;
            if (p != null && p.Age < 10)
            {
                expansionCell.Visibility=Visibility.Collapsed;
            }
            
            return double.NaN;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            throw new NotImplementedException();
        }

        #endregion
    }
}
